    PROGRAM g01emfe

!      G01EMF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01emf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: q, v, valp
       INTEGER                         :: ifail, ir
!      .. Executable Statements ..
       WRITE (nout,*) 'G01EMF Example Program Results '
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) '  Q       V    IR    Prob     '
       WRITE (nout,*)

D_LP:  DO
          READ (nin,*,IOSTAT=ifail) q, v, ir
          IF (ifail/=0) THEN
             EXIT D_LP
          END IF

!         Calculate probability
          ifail = 0
          valp = g01emf(q,v,ir,ifail)

!         Display data
          WRITE (nout,99999) q, v, ir, valp
       END DO D_LP

99999  FORMAT (1X,F7.4,2X,F4.1,1X,I3,1X,F10.4)
    END PROGRAM g01emfe
